﻿Type=Activity
Version=3.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Label2 As Label
	
	Private mTime As Long 
	Private sTime As Long 
	Dim IUtils As AS_ImageUtils 
	Dim UIUtils As UIUtils 
	Private EditText1 As EditText
	Private EditText2 As EditText
	Dim IME As IME
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("BlurControl")

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'Blur button
Sub Button2_Click
	mTime = DateTime.Now 
	Dim scaler As Double = EditText1.Text 
	Dim blurFactor As Int = EditText2.Text 
	Dim originalBMP As Bitmap = LoadBitmap(File.DirAssets,"jb.jpg")
	Dim scaledBMP As Bitmap = IUtils.CreateScaledBitmap(originalBMP, originalBMP.Width/scaler,originalBMP.Height/scaler,True)
	sTime = DateTime.Now 
	UIUtils.blurOnThread(scaledBMP, blurFactor, "Blur" )
	IME.HideKeyboard 
	
End Sub

'Done button
Sub Button1_Click
	IME.HideKeyboard 
	Activity.Finish 
End Sub

'Event raised by UIUtils.bluronThread
Sub Blur_End(blurredBmp As Bitmap)
	Log("Blur_End Raised")
	Log("Time taken to blur: (ticks)" & (DateTime.Now - mTime))
	Log("Time taken to blur: (seconds)" & (( DateTime.Now - mTime)/DateTime.TicksPerSecond))
	
	Label2.Text = "Total time:" & (( DateTime.Now - mTime)/DateTime.TicksPerSecond) & CRLF & _
	              "ScaleTime: " & (( sTime - mTime)/DateTime.TicksPerSecond) & CRLF & _
				  "Blur time:" & (( DateTime.Now - sTime)/DateTime.TicksPerSecond) 
	
	Dim outStream As OutputStream 
	outStream = File.OpenOutput(File.DirInternal, "blurred_jb.jpg", False)
	blurredBmp.WriteToStream(outStream,100,"JPEG")
	outStream.Close
End Sub